Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 78992 - Alias interfaces can't be disabled
Summary: Alias interfaces can't be disabled
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: initscripts
Version: 8.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-04 14:12 UTC by Jos Vos
Modified: 2014-03-17 02:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-14 04:35:52 UTC


Attachments (Terms of Use)
Patch against 6.90-1 (deleted)
2003-01-14 09:22 UTC, Jos Vos
no flags Details | Diff

Description Jos Vos 2002-12-04 14:12:05 UTC
Description of Problem:
The alias interface configuration (e.g., ifcfg-eth0:0) doesn't support a feature
to disable it.  Even if ONBOOT=no, the alias interface will be brought up
together with the parent interface.  This causes a problem in case someone wants
to control the alias interface only manually, with explicit "ifup" and "ifdown"
commands.

Version-Release number of selected component (if applicable):
All initscripts versions, up to 6.90-1.

Additional Information:
I will attach a (backwards-compatible) patch to solve this problem. If
ONPARENT=no is set in the config file, the interface will not be brought up
automatically together with the parent.

Comment 1 Bill Nottingham 2003-01-14 04:29:52 UTC
ENOPATCH

Comment 2 Bill Nottingham 2003-01-14 04:35:52 UTC
but something added in 7.03-1 anyway. :)

Comment 3 Jos Vos 2003-01-14 09:22:12 UTC
Created attachment 89344 [details]
Patch against 6.90-1

Sorry, I seem to have forgotten to attach the patch earlier.  This is my patch,
don't know how this compares to your solution.

Comment 4 Bill Nottingham 2003-01-14 17:58:14 UTC
Similar, although I note I missed the second case, which will be fixed in 7.04-1.


Note You need to log in before you can comment on or make changes to this bug.